/* used colors */
/* 
primary color: #01db5c;
secondary color: #5b6772;
third color: #60b0f4; 
*/



/* universal selector */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* body css */
body{
    font-family: "Lato", sans-serif;
    /* line-height: 25px; */
}

/* global css class */
.container{
    width: 80%;
    margin: 0 auto;
}
.btn{
    background-color: transparent;
    padding: 10px 20px;
    border-radius: 15px;
}

.btn-outline{
    border: 1px solid #01db5c;
    color: #01db5c;
    text-transform: uppercase;
    font-weight: 900;
    text-decoration: none;
    font-size: 14px;
}
.btn-primary{
    background-color: #01db5c;
    color: #fff;
    text-transform: uppercase;
    font-weight: 900;
    text-decoration: none;
    font-size: 14px;
    display: inline-block;
    border-radius: 3px;
}
.btn-secondary{
    background-color: #fff;
    color: #01db5c;
    text-transform: uppercase;
    font-weight: 900;
    text-decoration: none;
    font-size: 14px;
    display: inline-block;
    border-radius: 3px;
    margin-top: 20px;

    /* we can see there is a shadow in the secondary button, lets do this */
    box-shadow: 0 10px 10px #00000020; /* x-axis y-axix opacity color with aplha value*/
}

.secondary-text{
    color: #5b6772;
    font-weight: bold;
    font-size: 20px;
    text-transform: capitalize;
    
}
.detail-text{
    color: #757575;
    line-height: 25px;
}

.normal-link{
    font-weight: 700;
    color: #01db5c;
    letter-spacing: 1px;
    text-decoration: none;
}


/* navbar */
.navbar{
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.logo-box img{
    height: 90px;
}

.nav-link{
    margin-right: 30px;
    text-decoration: none;
    text-transform: uppercase;
    font-weight: 700;
    color: #5b6772;
    font-size: 14px;
}


/* css for banner section */
.banner-section{
    display: flex;
    align-items: center;

    /* creating viewport height */
    height: 95vh; 
}

.banner-text{

}

.introduction-text{
    font-size: 45px;
    color: #5b6772;
    font-weight: 700;
    letter-spacing: 4px;
    margin-bottom: 30px;
    line-height: 25px;
}
.banner-text p{
    margin: 30px 0;
    color: #777;
    line-height: 25px;
    /* line-height: 10px; */
}


/* banner-text-section */
.text-banner-section{
    background-color: #01db5c;
    height: 30vh;
}

.text-box{
    width: 50%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
.text-box h4{
    color: #fff;
    font-weight: 500;
    font-size: 22px;
    text-align: center;
}

/* feature section css */
.feature-item{
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: row;
    padding: 30px 0;
    height: 60vh;
    border-bottom: 1px solid #ebebeb;
}
.feature-detail{
    flex: 1;
}
.feature-detail > *{
    margin: 30px 0
}

.feature-image {
    flex: 1;

}
.feature-image .image-container img{
    height: 300px;
}


/* this pseudo element will help changing the flex direction to normal and reverse to
every next section */
.feature-item:nth-child(odd){
    flex-direction: row;
}
.feature-item:nth-child(even){
    flex-direction: row-reverse;
    /* background-color: #ebebeb; */
}


/* testimonials section */
.testimonials-section{
    background-color: #ebebeb;
}

.testimonials-title{
    text-align: center;
    padding: 30px 0;
    letter-spacing: 1px;
}

.testimonials-box{
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: row;
    flex-wrap: wrap;
    width: 100%;
}
.testimonial-item{
    background-color: #fff;
    width: 48%;
    padding: 20px;
    box-shadow: 0 10px 10px #00000020; /* x-axis y-axix opacity color with aplha value*/
    text-align: center;
    /* min-height: 40vh; */
    border-radius: 5px;
    margin-bottom: 30px;
}
.testimonial-item>*{
    margin: 20px 0
}

.testimonial-title{
    color: #01db5c;
}
.testimonial-user{
    font-size: 18px;
}


/* category section */

.categories-box{
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: row;
    flex-wrap: wrap;
}
.category-item{
    width: 32%;
    border: 2px solid #ebebeb;
    padding: 15px;
    border-radius: 10px;
    display: flex;
    align-items: center;
    margin-bottom: 24px;
}

.category-image{

}
.category-image img{
    height: 80px;
}

.category-detail{
    padding: 0 20px;
}
.category-text{
    font-size: 18px;    
    margin-bottom: 5px;
}

/* .footer css */
.footer{
    height: 42vh;
    background-color: #323436;
}

.footer-box{
    /* height: 30vh; */
    width: 100%;
    display: flex;
    justify-content: space-around;
    align-items: center;
    border-bottom: 1px solid rgb(223, 223, 223);
    padding: 20px 0;
}

.footer-nav-title{
    color: #fff;
}
.footer-nav-item{
    color: rgb(223, 223, 223);
    display: block;
    margin-top: 20px;
    text-decoration: none;
}

.privacy-policy{
    height: 10vh;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #b1b1b1;
}